Quassel IRC - Bug #1504

Please add copy of Boost license 1.0 to cmake directory
12/02/2018 11:08 PM - kitterma

Status: Resolved Start date: 12/02/2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Any
Description

cmake/GetGitRevisionDescription.cmake include:

1. Distributed under the Boost Software License, Version 1.0.
2. (See accompanying file LICENSE_1_0.txt or copy at
3. http://www.boost.org/LICENSE_1_0.txt)

In Debian (and derivatives) it is much preferred for the full text of the license to be included in the package. Please add this file to the
cmake directory.

Note: This is true for 0.13.0, but that's not an option in the pull down.

Associated revisions

Revision 4baddc0d - 02/13/2019 08:39 PM - Shane Synan
build: Add Boost 1.0 license for CMake script

Add copy of Boost 1.0 license for the included CMake script
GetGitRevisionDescription. This addresses licensing concerns for
Debian and derivatives.

Rename the license file according to existing licenses GPLv2 and v3.

See https://www.boost.org/LICENSE_1_0.txt

Fixes #1504

Revision a84a852b - 02/13/2019 08:40 PM - Shane Synan

build: Add Boost 1.0 license for CMake script

Add copy of Boost 1.0 license for the included CMake script
GetGitRevisionDescription. This addresses licensing concerns for
Debian and derivatives.

Rename the license file according to existing licenses GPLv2 and v3.

See https://www.boost.org/LICENSE_1_0.txt

Fixes #1504

History

#1 - 01/26/2019 05:24 AM - digitalcircuit
- Version changed from 0.12.4 to 0.13.0

I think I've addressed this with a new pull request, one for git-master, and one for 0.13.

#2 - 02/13/2019 08:39 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|4baddc0de428fa9080db6987b77a861763450a3b.

07/18/2025 1/1



http://www.boost.org/LICENSE_1_0.txt
https://www.boost.org/LICENSE_1_0.txt
https://www.boost.org/LICENSE_1_0.txt
https://github.com/quassel/quassel/pull/468
https://github.com/quassel/quassel/pull/469
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/4baddc0de428fa9080db6987b77a861763450a3b
http://www.tcpdf.org

